with GNATCOM.Dispinterface;

package MSHTML.IHTMLAttributeCollection2_Interface is

   type IHTMLAttributeCollection2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLAttributeCollection2_Type);

   function Pointer (This : IHTMLAttributeCollection2_Type)
     return Pointer_To_IHTMLAttributeCollection2;

   procedure Attach (This    : in out IHTMLAttributeCollection2_Type;
                     Pointer : in     Pointer_To_IHTMLAttributeCollection2);

   function getNamedItem
     (This       : IHTMLAttributeCollection2_Type;
      bstrName   : GNATCOM.Types.BSTR;
      Free       : Boolean := True)
     return Pointer_To_IHTMLDOMAttribute;

   function setNamedItem
     (This       : IHTMLAttributeCollection2_Type;
      ppNode     : Pointer_To_IHTMLDOMAttribute)
     return Pointer_To_IHTMLDOMAttribute;

   function removeNamedItem
     (This       : IHTMLAttributeCollection2_Type;
      bstrName   : GNATCOM.Types.BSTR;
      Free       : Boolean := True)
     return Pointer_To_IHTMLDOMAttribute;

end MSHTML.IHTMLAttributeCollection2_Interface;

